summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2012-10-21 23:47:10 (EDT)
committer P. J. McDermott <pjm@nac.net>2012-10-21 23:50:29 (EDT)
commit252b8db061ae8db3cabcbaf37b5b30b6d0baf637 (patch)
tree4719093215b1ba96a9c86f76d1f184700e7b2d52
parent80d98937814d8ea529c8439f5ea18b302ffc34eb (diff)
Write oh-autoconfigure.
-rw-r--r--src/Makefile.in3
-rw-r--r--src/oh-autoconfigure.sh55
2 files changed, 57 insertions, 1 deletions
diff --git a/src/Makefile.in b/src/Makefile.in
index bfceef1..93abe0a 100644
--- a/src/Makefile.in
+++ b/src/Makefile.in
@@ -44,7 +44,8 @@ sed_script = s&@@PACKAGE_NAME@@&$(package_name)&;\
SRCS = \
oh-installfiles.sh \
oh-strip.sh \
- oh-fixperms.sh
+ oh-fixperms.sh \
+ oh-autoconfigure.sh
OBJS = $(SRCS:.sh=)
distdir = ../$(package_name)-$(package_version)/src
diff --git a/src/oh-autoconfigure.sh b/src/oh-autoconfigure.sh
new file mode 100644
index 0000000..5ae5263
--- /dev/null
+++ b/src/oh-autoconfigure.sh
@@ -0,0 +1,55 @@
+#!@@SH@@
+#
+# opkhelper
+# src/oh-autoconfigure
+# Automatically configure a package to be built.
+#
+# Copyright (C) 2012 Patrick "P. J." McDermott
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. '@@LIBOPKBUILD_1@@/load.sm'
+. '@@LIBOPKHELPER@@/load.sm'
+
+ob_use locale
+ob_use output
+oh_use buildsystem
+
+main()
+{
+ ob_set_locale_path '@@LOCALEDIR@@/%s/LC_MESSAGES/%s.ms'
+ ob_set_text_domain 'opkhelper'
+
+ while getopts 'S:B:' opt; do
+ case "${opt}" in
+ S)
+ oh_set_buildsystem_option 'build-system' "${OPTARG}"
+ ;;
+ B)
+ oh_set_buildsystem_option 'build-dir' "${OPTARG}"
+ ;;
+ ?)
+ ob_error "$(ob_get_msg 'bad_opt')"
+ exit 1
+ ;;
+ esac
+ done
+ shift $(($OPTIND - 1))
+
+ oh_buildsystems_init
+
+ oh_buildsystem_do 'configure' "${@}"
+}
+
+main "${@}"